Bug 1182278 - [abrt] bash: select_query(): bash killed by SIGSEGV
Summary: [abrt] bash: select_query(): bash killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Oprala
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:85a6b1fac67d9f5f3abcbb5f881...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-14 19:09 UTC by Eric Blake
Modified: 2016-02-01 02:10 UTC (History)
4 users (show)

Fixed In Version: bash-4.3.39-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-18 02:07:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (131.76 KB, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: cgroup (191 bytes, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: core_backtrace (1.52 KB, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: dso_list (575 bytes, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: environ (3.53 KB, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: maps (2.65 KB, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: open_fds (138 bytes, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details
File: var_log_messages (153 bytes, text/plain)
2015-01-14 19:09 UTC, Eric Blake
no flags Details

Description Eric Blake 2015-01-14 19:09:50 UTC
Description of problem:
bash -c 'readonly REPLY; select A in B C D; do echo hi; done'
then select 1, and watch bash keel over

Version-Release number of selected component:
bash-4.3.33-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        bash -c 'readonly REPLY; select A in B C D; do echo hi; done'
crash_function: select_query
executable:     /usr/bin/bash
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            14986

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 select_query at execute_cmd.c:3068
 #1 execute_select_command at execute_cmd.c:3159
 #2 execute_command_internal at execute_cmd.c:884
 #3 execute_connection at execute_cmd.c:2508
 #4 execute_command_internal at execute_cmd.c:957
 #5 parse_and_execute at evalstring.c:387
 #6 run_one_command at shell.c:1358

Comment 1 Eric Blake 2015-01-14 19:09:53 UTC
Created attachment 980184 [details]
File: backtrace

Comment 2 Eric Blake 2015-01-14 19:09:53 UTC
Created attachment 980185 [details]
File: cgroup

Comment 3 Eric Blake 2015-01-14 19:09:54 UTC
Created attachment 980186 [details]
File: core_backtrace

Comment 4 Eric Blake 2015-01-14 19:09:55 UTC
Created attachment 980187 [details]
File: dso_list

Comment 5 Eric Blake 2015-01-14 19:09:55 UTC
Created attachment 980188 [details]
File: environ

Comment 6 Eric Blake 2015-01-14 19:09:56 UTC
Created attachment 980189 [details]
File: exploitable

Comment 7 Eric Blake 2015-01-14 19:09:57 UTC
Created attachment 980190 [details]
File: limits

Comment 8 Eric Blake 2015-01-14 19:09:57 UTC
Created attachment 980191 [details]
File: maps

Comment 9 Eric Blake 2015-01-14 19:09:58 UTC
Created attachment 980192 [details]
File: open_fds

Comment 10 Eric Blake 2015-01-14 19:09:59 UTC
Created attachment 980193 [details]
File: proc_pid_status

Comment 11 Eric Blake 2015-01-14 19:09:59 UTC
Created attachment 980194 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-07-15 11:06:34 UTC
bash-4.3.39-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bash-4.3.39-5.fc21

Comment 14 Fedora Update System 2015-07-15 11:07:53 UTC
bash-4.3.39-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/bash-4.3.39-5.fc22

Comment 15 Fedora Update System 2015-07-18 02:00:24 UTC
Package bash-4.3.39-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-4.3.39-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11698/bash-4.3.39-5.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-07-18 02:07:25 UTC
bash-4.3.39-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-07-29 01:43:17 UTC
bash-4.3.39-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.